1991-2006
Silicon Graphics, Inc.
glXDestroyGLXPixmap
3G

# glXDestroyGLXPixmap

destroy a GLX pixmap

## C Specification

                    void glXDestroyGLXPixmap
                    Display * dpy
                    GLXPixmap pix

## Parameters

`dpy`

  Specifies the connection to the X server.

`pix`

  Specifies the GLX pixmap to be destroyed.

## Description

If the GLX pixmap `pix` is not current to any client, `glXDestroyGLXPixmap` destroys it immediately. Otherwise, `pix` is destroyed when it becomes not current to any client. In either case, the resource ID is freed immediately.

## Errors

`GLXBadPixmap` is generated if `pix` is not a valid GLX pixmap.

## See Also

glXCreateGLXPixmap, glXDestroyPixmap, glXMakeCurrent

## Copyright

Copyright 1991-2006 Silicon Graphics, Inc. This document is licensed under the SGI Free Software B License. For details, see http://oss.sgi.com/projects/FreeB/.